List PrivateLink endpoints
GET
https://api.vercel.com/v1/networking/privatelink/endpointsLists all PrivateLink endpoints for a project.
https://api.vercel.com/v1/networking/privatelink/endpoints
const response = await fetch('https://api.vercel.com/v1/networking/privatelink/endpoints?projectId=string&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
[ { "awsDnsEntries": [], "awsServiceName": "com.amazonaws.vpce.us-east-1.vpce-svc-0123456789abcdef0", "createdAt": "1610963878358", "endpointId": "ple_a1b2c3d4e5f6g7h8", "name": "payments-db", "privateDnsNames": [], "projectId": "prj_a1b2c3d4e5f6g7h8", "status": "available", "statusMessage": "Endpoint did not become available in time. Try deleting and recreating, or visit https://vercel.com/help if the issue persists.", "teamId": "team_a1b2c3d4e5f6g7h8", "updatedAt": "1610963878358", "vercelRegion": "iad1", "vpcEndpointId": "vpce-0123456789abcdef0" }]AuthorizationbearerToken
Default authentication mechanism